/* -----------------------------------------------------------------------------
	GSFramework
	Copyright 2001-2013 Emmanuel Julien. All Rights Reserved.
------------------------------------------------------------------------------*/


#ifndef	__PICTSTBCODEC__
#define	__PICTSTBCODEC__


		#include "picture/pict_io_codec.h"


namespace GS {

/*
	@short	STB (Sean Barrett picture) codec.
	@author	Emmanuel Julien (ejulien@nworks.fr)
*/
struct	PictureSTBCodec : public PictureCodec
{
		bool		Load(IO::Handle &, Picture &);

		const char	*GetName() const { return "STB"; }
		const char	*GetDesc() const { return "STB image (Sean Barrett image library) codec"; }

		uint		GetCaps() const { return CanRead; }
};

} // GS


#endif	// __PICTSTBCODEC__

